#!/bin/sh

name="imlib2"
title="Imlib2"
package="imlib2"
version="1.0.6"
build="1"
noarch="n"
build_info="Standard build."

info="Powerful image loading and rendering library."
desc="Imlib2 is an advanced replacement library for libraries
like libXpm that provides many more features with much
greater flexibility and speed than standard libraries,
including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters,
scripting, and more."
category="viewer/graphics"
environment="library"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,ChangeLog,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://belnet.dl.sourceforge.net/sourceforge/enlightenment/$name-$version.tar.gz

apply_patch loaders_mf

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: imlib2.builder,v $
# Revision 1.2  2003/03/03 21:33:24  stoodi
# - build 1.
#
# Revision 1.1  2003/02/27 22:08:01  swiergot
# - Initial release.
# - Version 1.0.6.
#
